---@meta

---@class DressUpModel : PlayerModel
DressUpModel = {
	--- Sets the model to reflect the character's current inventory.
	--- @example
	--- myDressUpModel:Dress()
	Dress = function(self) end,

	--- Adds the specified item to the model.
	--- @param itemID string|number The item ID or link to try on.
	--- @example
	--- myDressUpModel:TryOn("item:12345:0:0:0:0:0:0:0")
	TryOn = function(self, itemID) end,

	--- Sets the model to reflect the character without inventory.
	--- @example
	--- myDressUpModel:Undress()
	Undress = function(self) end,
}
